Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361844 - Relationship links lead to wrong menu in OSE project
Summary: Relationship links lead to wrong menu in OSE project
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.6.1
Assignee: Harpreet Kataria
QA Contact: Einat Pacifici
URL:
Whiteboard: container
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-31 08:01 UTC by Pavel Zagalsky
Modified: 2018-04-25 13:50 UTC (History)
12 users (show)

Fixed In Version: 5.6.1.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-18 18:00:36 UTC
Category: ---
Cloudforms Team: ---
epacific: automate_bug-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1634 normal SHIPPED_LIVE Important: CFME 5.6.1 security, bug fix, and enhancement update 2016-08-18 21:43:52 UTC

Description Pavel Zagalsky 2016-07-31 08:01:19 UTC
Description of problem:
If you go to an OpenShift project and click Relationships all the links point to the same menu that shows all the projects

Version-Release number of selected component (if applicable):
5.6.1.0.20160726144018_810a94f

How reproducible:
Every time

Steps to Reproduce:
1. In CF UI, click Compute -> Container -> Projects
2. Select a project
3. Click the Relationships Accordion 
4. Click any of the links (such as container provider, routes, services, etc)

Actual results:
Each link will bring the user to the projects menu

Expected results:
Pressing the link should lead to the corresponding menu. ie: pods link should bring up the pods menu

Additional info:

Comment 2 Erez Freiberger 2016-07-31 12:13:37 UTC
This bug is only present on the Darga branch and not no the master branch so this bug's target version should be changed to 5.6.1

Comment 3 Erez Freiberger 2016-07-31 13:15:17 UTC
This PR fixed it but for some reason it was set as "darga/no": https://github.com/ManageIQ/manageiq/pull/8866

Comment 5 Federico Simoncelli 2016-08-02 09:38:00 UTC
Shouldn't this be on POST?

Comment 6 Harpreet Kataria 2016-08-02 13:23:22 UTC
PR https://github.com/ManageIQ/manageiq/pull/8866 has been backported to Darga, sending this to POST.

Comment 8 Harpreet Kataria 2016-08-02 17:48:46 UTC
PR against Darga: https://github.com/ManageIQ/manageiq/pull/10205

Comment 9 CFME Bot 2016-08-03 21:45:42 UTC
New commit detected on ManageIQ/manageiq/darga:
https://github.com/ManageIQ/manageiq/commit/7a42fce219a2e5c7dffdfaa5683a15e7b2fabaec

commit 7a42fce219a2e5c7dffdfaa5683a15e7b2fabaec
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Aug 2 13:44:38 2016 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Tue Aug 2 13:44:38 2016 -0400

    Fix Relationship links for a Middleware Provider
    
    The Middleware Provider controller (ems_middleware) does not support RESTful routing yet, therefore the Relationship links should be routed using :controller, :action and :id
    cherry-picking changes from https://github.com/ManageIQ/manageiq/pull/8866
    
    Fixes #8803
    https://bugzilla.redhat.com/show_bug.cgi?id=1361844

 app/helpers/application_helper.rb       | 15 ++++++++++++---
 spec/helpers/application_helper_spec.rb | 10 ++++++++++
 2 files changed, 22 insertions(+), 3 deletions(-)

Comment 12 errata-xmlrpc 2016-08-18 18:00:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1634.html


Note You need to log in before you can comment on or make changes to this bug.